.hoangdung-singles-wrapper {
    /* --gap: 0; */
    display: block;
    column-count: 3;
    gap: 0;
}

.hoangdung-album-wrapper :where(.single-item, .single-image, .single-overlay) {
    overflow: hidden;
}

.hoangdung-singles-wrapper .single-item {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: relative;
    width: 100%;
    height: max-content;
}

.hoangdung-singles-wrapper .single-item .single-image {
    width: 100%;
}

.hoangdung-singles-wrapper .single-item img {
    width: 100%;
    height: auto;
    min-height: 260px;
    object-fit: cover;
}

.hoangdung-singles-wrapper .single-overlay * {
    position: relative;
    z-index: 2;
}

.hoangdung-singles-wrapper .single-overlay {
    position: absolute;
    inset: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px 20px;
    row-gap: 24px;
    background-image: linear-gradient(rgba(10, 10, 10, 0.65), rgba(10, 10, 10, 0.65));
    opacity: 0;
    transition: opacity .35s ease-in-out;
    z-index: 1;
}

.hoangdung-singles-wrapper .single-item:hover .single-overlay {
    opacity: 1;
}

.hoangdung-singles-wrapper h3 {
    color: var(--base-white);
    font-size: 24px;
    text-align: center;
}

.hoangdung-singles-wrapper .single-social-icons {
    display: flex;
    gap: 37px;
    list-style-type: none;
    margin: auto 0 0;
    padding: 0;
}

.hoangdung-singles-wrapper .single-social-item,
.hoangdung-singles-wrapper .single-social-item a {
    display: flex;
    align-items: center;
}

.hoangdung-singles-wrapper .single-social-icons svg {
    width: auto;
    height: 20px;
}

.hoangdung-singles-wrapper .single-social-item:hover svg path {
    fill-opacity: 1;
}

@media (max-width: 1024px) {
    .hoangdung-singles-wrapper {
        column-count: 2;
    }
}

@media (max-width: 991px) {
    .hoangdung-singles-wrapper h3 {
        font-size: 20px;
    }
}

@media (max-width: 767px) {
    .hoangdung-singles-wrapper h3 {
        font-size: 18px;
    }

    .hoangdung-singles-wrapper .single-item img {
        min-height: 120px;
    }

    .hoangdung-singles-wrapper .single-overlay {
        padding: 20px 14px;
    }

    .hoangdung-singles-wrapper .single-social-icons {
        gap: 18px;
    }
}

@media (max-width: 478px) {
    .hoangdung-singles-wrapper h3 {
        font-size: 15px;
    }
}